using System;
using System.Collections.Generic;
using Server;
using Server.ContextMenus;
using Server.Engines.PartySystem;
using Server.Gumps;
using Server.Multis;
using Server.Network;

namespace Server.Items
{
	[Flipable( 0xE3E, 0xE3F )]
	public class LootCrate1 : LootChest
	{
		[Constructable]
		public LootCrate1()
		{
			Name = "crate";
			ItemID = 0xE3E;
			Level = 1;
			Category = 1;
		}

		public LootCrate1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0xE3C, 0xE3D )]
	public class LootCrate2 : LootChest
	{
		[Constructable]
		public LootCrate2()
		{
			Name = "crate";
			ItemID = 0xE3C;
			Level = 2;
			Category = 1;
		}

		public LootCrate2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0x645, 0x646 )]
	public class LootCrate3 : LootChest
	{
		[Constructable]
		public LootCrate3()
		{
			Name = "crate";
			ItemID = 0x645;
			Level = 3;
			Category = 1;
		}

		public LootCrate3( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0x0E99, 0x0E9A )]
	public class LootCrate4 : LootChest
	{
		[Constructable]
		public LootCrate4()
		{
			Name = "crate";
			ItemID = 0x0E99;
			Level = 4;
			Category = 1;
		}

		public LootCrate4( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0x52D, 0x52E )]
	public class LootBox1 : LootChest
	{
		[Constructable]
		public LootBox1()
		{
			Name = "wooden chest";
			ItemID = 0x52D;
			Level = 1;
			Category = 2;
			Hue = 0x96D;
		}

		public LootBox1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0x5ED, 0x5EE )]
	public class LootBox2 : LootChest
	{
		[Constructable]
		public LootBox2()
		{
			Name = "wooden chest";
			ItemID = 0x5ED;
			Level = 2;
			Category = 2;
			Hue = 0x96D;
		}

		public LootBox2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0xE42, 0xE43 )]
	public class LootBox3 : LootChest
	{
		[Constructable]
		public LootBox3()
		{
			Name = "wooden chest";
			ItemID = 0xE42;
			Level = 3;
			Category = 2;
		}

		public LootBox3( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0x481, 0x488 )]
	public class LootBox4 : LootChest
	{
		[Constructable]
		public LootBox4()
		{
			Name = "wooden chest";
			ItemID = 0x481;
			Level = 4;
			Category = 2;
		}

		public LootBox4( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0x9AB, 0xE7C )]
	public class LootChest1 : LootChest
	{
		[Constructable]
		public LootChest1()
		{
			Name = "metal chest";
			ItemID = 0x9AB;
			Level = 1;
			Category = 3;
		}

		public LootChest1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0xE54, 0xE55 )]
	public class LootChest2 : LootChest
	{
		[Constructable]
		public LootChest2()
		{
			Name = "metal chest";
			ItemID = 0xE54;
			Level = 2;
			Category = 3;
		}

		public LootChest2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0xE40, 0xE41 )]
	public class LootChest3 : LootChest
	{
		[Constructable]
		public LootChest3()
		{
			Name = "metal chest";
			ItemID = 0xE40;
			Level = 3;
			Category = 3;
		}

		public LootChest3( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	[Flipable( 0xE52, 0xE53 )]
	public class LootChest4 : LootChest
	{
		[Constructable]
		public LootChest4()
		{
			Name = "metal chest";
			ItemID = 0xE52;
			Level = 4;
			Category = 3;
		}

		public LootChest4( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}